Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component.html
Class HtmlToken

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.jboss.seam.ui.component.UIToken
                      org.jboss.seam.ui.component.html.HtmlToken

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class HtmlToken

extends UIToken

Render a secure token in the parent form that is validated on postback to guard against CSRF attacks

Nested Class Summary
`protected static class` | `HtmlToken.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlToken()`

Method Summary
`String` | `getFamily()`
`boolean` | `isAllowMultiplePosts()` Indicates whether to allow the same form to be submitted multiple times with the same signature (as long as the view does not change).
`boolean` | `isEnableCookieNotice()` Indicates whether a JavaScript check should be inserted into the page to verify that cookies are enabled in the browser.
`boolean` | `isRequireSession()` Indicates whether the session id should be included in the form signature, hence binding the token to the session.
`void` | `setAllowMultiplePosts(boolean allowMultiplePosts)`
`void` | `setEnableCookieNotice(boolean enableCookieNotice)`
`void` | `setRequireSession(boolean requireSession)`

Methods inherited from class org.jboss.seam.ui.component.UIToken
`getClientUid, getClientUidSelector, getParentForm`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlToken

    public HtmlToken()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### isAllowMultiplePosts

    public boolean isAllowMultiplePosts()

  Description copied from class: `UIToken`
  Indicates whether to allow the same form to be submitted multiple times with the same signature (as long as the view does not change). This is a common need if the form is perform Ajax calls but not rerendering itself or, at the very least, the UIToken component. The preferred approach is to have the UIToken component rerendered on any Ajax call where the UIToken component would be processed. The default value is false.

  Specified by:
    `isAllowMultiplePosts` in class `UIToken`

### setAllowMultiplePosts

    public void setAllowMultiplePosts(boolean allowMultiplePosts)

  Specified by:
    `setAllowMultiplePosts` in class `UIToken`

### isEnableCookieNotice

    public boolean isEnableCookieNotice()

  Description copied from class: `UIToken`
  Indicates whether a JavaScript check should be inserted into the page to verify that cookies are enabled in the browser. If cookies are not enabled, present a notice to the user that form posts will not work. The default value is false.

  Specified by:
    `isEnableCookieNotice` in class `UIToken`

### setEnableCookieNotice

    public void setEnableCookieNotice(boolean enableCookieNotice)

  Specified by:
    `setEnableCookieNotice` in class `UIToken`

### isRequireSession

    public boolean isRequireSession()

  Description copied from class: `UIToken`
  Indicates whether the session id should be included in the form signature, hence binding the token to the session. This value can be set to false if the "build before restore" mode of Facelets is activated (the default in JSF 2.0). The default value is false.

  Specified by:
    `isRequireSession` in class `UIToken`

### setRequireSession

    public void setRequireSession(boolean requireSession)

  Specified by:
    `setRequireSession` in class `UIToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.